package com.tianyi.common;

/**
 * @Author jiuli
 * @Date 2024/2/22
 */
public enum ErrorCode {


    SUCCESS(0, "ok", ""),
    PARAM_ERROR(40000, "请求参数错误", ""),
    NULL_ERROR(40001, "数据为空", ""),
    NULL_AUTH(40101, "无权限", ""),
    NOT_LOGIN(40100, "未登录", ""),
    SYSTEM_ERROR(50000, "系统内部异常", ""),
    KEY_REPEAT(500,"请求参数错误","该企业已拥有密钥,不可重复生成!");
    private final int code;
    /**
     * 状态码信息
     */
    private final String message;
    /**
     * 状态码详情
     */
    private final String description;

    ErrorCode(int code, String message, String description) {
        this.code = code;
        this.message = message;
        this.description = description;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public String getDescription() {
        return description;
    }

}
