package com.tianyi.controller;


import com.tianyi.common.BaseResponse;
import com.tianyi.common.ErrorCode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;


/**
 * @Author jiuli
 * @Date 2024/2/22
 */
@RestControllerAdvice("com.tianyi")
@Slf4j
public class GlobalExceptionHandler {

    @ExceptionHandler(RuntimeException.class)
    public <T>BaseResponse<T> runtimeException(RuntimeException e) {
        log.error("RuntimeException:{}", e.getMessage(), e);
        return new BaseResponse<>(ErrorCode.KEY_REPEAT.getCode(),null, e.getMessage());
    }

}
