package com.tianyi.service.impl;

import com.tianyi.mapper.SecretMapper;
import com.tianyi.model.SecretModel;
import com.tianyi.service.SecretService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
public class SecretServiceImpl implements SecretService {

    private final SecretMapper secretMapper;

    public SecretServiceImpl(SecretMapper secretMapper) {
        this.secretMapper = secretMapper;
    }

    @Override
    public Object getSecret(String org) {
        String appId = (StringUtils.replace(UUID.randomUUID().toString(), "-", "")).toLowerCase();
        String appSecret = UUID.randomUUID().toString().toUpperCase();
        SecretModel secretModel = new SecretModel();
        secretModel.setAppId(appId);
        secretModel.setAppSecret(appSecret);
        secretModel.setOrg(org);
        int count=secretMapper.getCount(org);
        if (count!=0){
            throw new RuntimeException("该企业已拥有密钥,不可重复生成!");
        }
        secretMapper.insert(secretModel);
        return secretModel;
    }
}
